<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Cviebrock\EloquentSluggable\Sluggable;

class Category extends Model
{
    use HasFactory;
    use Sluggable;
    protected $table = 'categories';
    protected $fillable = ['name', 'slug', 'image', 'meta_title', 'meta_keyword', 'meta_description'];

    public function subcategory()
    {
        return $this->hasMany('App\Models\SubCategory', 'category_id');
    }
    public function attributes()
    {
        return $this->hasMany('App\Models\Atrribute', 'category_id');
    }
    public function products()
    {
        return $this->hasMany('App\Models\Product', 'category_id');
    }
    public function bannerPromotion()
    {
        return $this->hasMany('App\Models\BannerPromotion', 'category_id');
    }
    public function Promotion()
    {
        return $this->hasMany('App\Models\Promotion', 'category_id');
    }
    public function stock()
    {
        return $this->hasMany('App\Models\Stock', 'category_id');
    }
    public function subsubcategory()
    {
        return $this->hasMany('App\Models\SubSubCategory', 'category_id');
    }
      public function sluggable(): array
    {
        return [
            'slug' => [
                'source' => 'title'
            ]
        ];
    }
}
