<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Order extends Model
{
    use HasFactory;
    public function buyer()
    {
        return $this->belongsTo(Buyer::class);
    }
    public function products()
    {
        return $this->hasMany('App\Models\OrderedProduct', 'order_id');
    }

    public function payment()
    {
        return $this->hasOne(PaymentMethod::class, 'order_id');
    }
    public function returnOrder()
    {
        return $this->hasOne(ReturnedOrder::class, 'order_id');
    }
    public function vendor()
    {
        return $this->belongsTo(User::class);
    }
}
