<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SalePersonOrder extends Model
{
    use HasFactory;


    public function vendor()
    {
        return $this->belongsTo(User::class);
    }
    public function salesperson()
    {
        return $this->belongsTo(User::class);
    }
    public function products()
    {
        return $this->hasMany('App\Models\SalePersonOrderProducts', 'order_id');
    }

    public function payment()
    {
        return $this->hasOne(PaymentMethod::class, 'order_id');
    }
    public function paymentMethod()
    {
        return $this->hasOne(B2BpaymentMethod::class, 'order_id');
    }
}
