<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Cviebrock\EloquentSluggable\Sluggable;

class SubCategory extends Model
{
    use HasFactory;
    use Sluggable;
    protected $table = 'sub_categories';
    protected $fillable = ['category_id', 'name', 'slug', 'image', 'meta_title', 'meta_keyword', 'meta_description'];

    public function category()
    {
        //  return $this->belongsTo('App\Models\Category', 'id');
        return $this->belongsTo(Category::class);
    }
    public function subcategory()
    {

        return $this->hasMany('App\Models\SubSubCategory', 'subcategory_id');
    }
    public function products()
    {
        return $this->hasMany(Product::class);
        //  return $this->hasMany('App\Models\Product', 'sub_category_id');
    }

    // public function products()
    // {
    //     return $this->hasMany('App\Models\Product', 'category_id');
    // }
    public function stock()
    {
        return $this->hasMany('App\Models\Stock', 'subcategory_id');
    }
     public function sluggable(): array
    {
        return [
            'slug' => [
                'source' => 'title'
            ]
        ];
    }
}
