<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Cviebrock\EloquentSluggable\Sluggable;

class SubSubCategory extends Model
{
    use HasFactory;
    use Sluggable;
    protected $table = 'sub_sub_categories';
    protected $fillable = ['category_id', 'subcategory_id', 'name', 'slug', 'image', 'meta_title', 'meta_keyword', 'meta_description'];
    public function getcategory()
    {
        return $this->belongsTo('App\Models\Category', 'id');
    }
    public function getsubcategory()
    {
        return $this->belongsTo('App\Models\SubCategory', 'id');
    }
    public function products()
    {
        return $this->hasMany(Product::class);
        //return $this->hasMany('App\Models\Product', 'subsub_category_id');
    }
    public function stock()
    {
        return $this->hasMany('App\Models\Stock', 'id');
    }
      public function sluggable(): array
    {
        return [
            'slug' => [
                'source' => 'title'
            ]
        ];
    }
}
